Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509
Class AttributeCertificateIssuer

    java.lang.Object
      |
      +--org.bouncycastle.x509.AttributeCertificateIssuer

All Implemented Interfaces:
  CertSelector, java.lang.Cloneable

public class AttributeCertificateIssuer
extends java.lang.Object
implements CertSelector

Carrying class for an attribute certificate issuer.

Constructor Summary
`AttributeCertificateIssuer(X509Principal principal)`

Method Summary
`java.lang.Object` | `clone()` Makes a copy of this `CertSelector`.
`java.security.Principal[]` | `getPrincipals()` Return any principal objects inside the attribute certificate issuer object.
`boolean` | `match(java.security.cert.Certificate cert)` Decides whether a `Certificate` should be selected.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCertificateIssuer

    public AttributeCertificateIssuer(X509Principal principal)

Method Detail

### getPrincipals

    public java.security.Principal[] getPrincipals()

  Return any principal objects inside the attribute certificate issuer object.
  Returns:
    an array of Principal objects (usually X509Principal)

### clone

    public java.lang.Object clone()

  Description copied from interface: `CertSelector`
  Makes a copy of this `CertSelector`. Changes to the copy will not affect the original and vice versa.
  Specified by:
    `clone` in interface `CertSelector`
  Overrides:
    `clone` in class `java.lang.Object`
  Following copied from interface: `org.bouncycastle.jce.cert.CertSelector`
  Returns:
    a copy of this `CertSelector`

### match

    public boolean match(java.security.cert.Certificate cert)

  Description copied from interface: `CertSelector`
  Decides whether a `Certificate` should be selected.
  Specified by:
    `match` in interface `CertSelector`
  Following copied from interface: `org.bouncycastle.jce.cert.CertSelector`
  Parameters:
    `cert` - the `Certificate` to be checked
  Returns:
    `true` if the `Certificate` should be selected, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD